coreEngine.atdm.DataStruct

## Class ATDMStrategy

- java.lang.Object
- - coreEngine.atdm.DataStruct.ATDMStrategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    ATDMStrategyMat

      public class ATDMStrategy
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  Author:
    Lake Trask
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private float[]` | `adjFactors`
    `private static java.lang.String[]` | `categoriesString`
    `private java.lang.String` | `category`
    `private java.lang.String` | `description`
    `private int` | `id`
    `private int` | `incidentDurationReduction`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ATDMStrategy(int id, java.lang.String description)`
    `ATDMStrategy(int id, java.lang.String description, int categoryType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ATDMStrategy` | `clone()`
    `float[]` | `getAdjFactor()`
    `float` | `getAdjFactor(int afIdx)`
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getDescription()`
    `int` | `getId()`
    `int` | `getIncidentDurationReduction()`
    `void` | `setAdjFactor(float newVal, int afIdx)`
    `void` | `setAdjFactors(float[] adjFactors)`
    `void` | `setCategory(int categoryIdx)`
    `void` | `setCategory(java.lang.String category)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setId(int id)`
    `void` | `setIncidentDurationReduction(int incidentDurationReduction)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          private java.lang.String description

    - #### id

          private int id

    - #### category

          private java.lang.String category

    - #### adjFactors

          private float[] adjFactors

    - #### incidentDurationReduction

          private int incidentDurationReduction

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### categoriesString

          private static final java.lang.String[] categoriesString

  - ### Constructor Detail

    - #### ATDMStrategy

          public ATDMStrategy(int id,
                              java.lang.String description)

      Parameters:
        `id` -
        `description` -

    - #### ATDMStrategy

          public ATDMStrategy(int id,
                              java.lang.String description,
                              int categoryType)

      Parameters:
        `id` -
        `description` -
        `categoryType` -

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Returns:

    - #### getId

          public int getId()

      Returns:

    - #### getCategory

          public java.lang.String getCategory()

      Returns:

    - #### getAdjFactor

          public float[] getAdjFactor()

      Returns:

    - #### getAdjFactor

          public float getAdjFactor(int afIdx)

      Parameters:
        `afIdx` -
      Returns:

    - #### getIncidentDurationReduction

          public int getIncidentDurationReduction()

      Returns:

    - #### setDescription

          public void setDescription(java.lang.String description)

      Parameters:
        `description` -

    - #### setId

          public void setId(int id)

      Parameters:
        `id` -

    - #### setCategory

          public void setCategory(java.lang.String category)

      Parameters:
        `category` -

    - #### setCategory

          public void setCategory(int categoryIdx)

      Parameters:
        `categoryIdx` -

    - #### setAdjFactors

          public void setAdjFactors(float[] adjFactors)

      Parameters:
        `adjFactors` -

    - #### setAdjFactor

          public void setAdjFactor(float newVal,
                                   int afIdx)

      Parameters:
        `newVal` -
        `afIdx` -

    - #### setIncidentDurationReduction

          public void setIncidentDurationReduction(int incidentDurationReduction)

      Parameters:
        `incidentDurationReduction` -

    - #### clone

          public ATDMStrategy clone()
                             throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`